org.apache.hc.client5.http.impl

## Class ZstdRuntime

- java.lang.Object
- - org.apache.hc.client5.http.impl.ZstdRuntime

    @Internal
     @Contract(threading=STATELESS)
    public final class ZstdRuntime
    extends Object

Utility to detect availability of the Zstandard JNI runtime on the classpath.

Used by the async client implementation to conditionally register zstd encoders/decoders without creating a hard dependency on `zstd-jni`.

This class performs a lightweight reflective check and intentionally avoids linking to JNI classes at compile time to prevent `LinkageError`s when the optional dependency is absent.

Since:
  5.6

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `available()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### available

    public static boolean available()

Returns:
  `true` if `com.github.luben.zstd.Zstd` can be loaded by the current class loader; `false` otherwise